<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\KursorteHelper;

use Kufer\Web\Classes\Dbfilter\KursorteSQLFilter;
use Kufer\Web\KuferTools\Utils\FilterSearch\KursorteSearchFilter;

class VeranstalterKursorte extends KursorteHelper
{
  
  protected function setzeFilter($dbwKursort, KursorteSQLFilter $filter, $pToolId)
  {
    $searchAPI = new KursorteSearchFilter();
    $searchAPI->applySearchFromSession($filter, 'tool' . $pToolId);

    return $dbwKursort;
  }

  protected function setzeSortierung($dbwKursort)
  {
    $dbwKursort->orderby = $this->toolSettings->sorttn;
    $dbwKursort->orderbyasc = $this->toolSettings->sorttnasc;

    return $dbwKursort;
  }
}